=== modified file 'dhis-2/dhis-api/src/main/java/org/hisp/dhis/external/location/LocationManager.java'
--- dhis-2/dhis-api/src/main/java/org/hisp/dhis/external/location/LocationManager.java	2009-09-02 10:16:58 +0000
+++ dhis-2/dhis-api/src/main/java/org/hisp/dhis/external/location/LocationManager.java	2009-09-14 13:30:38 +0000
@@ -115,6 +115,17 @@
     File getFileForWriting( String fileName, String... directories )
         throws LocationManagerException;
     
+    /**
+     * Builds the directory structure defined by the given array of directories
+     * relative to external configuration directory location. For instance calling
+     * this method with "reporting", "excel", "temp" will create the directory
+     * <external_config_dir>/reporting/excel/temp.
+     * 
+     * @param directories The directories to create.
+     * @return a File representing the created directory.
+     */
+    File buildDirectory( String... directories )
+        throws LocationManagerException;
 
     /**
      * Gets an outputstream from a file relative to the external configuration directory 

